v1.0
get
/ec-site-svc/rest/v1.0/EHRConnectors
Retrieves EHR connector records with optional pagination and filtering.
Request
Query Parameters
-
id(required): string(uuid)
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$EHR connector identifier as a 32-character uppercase hexadecimal UUID string.Example:C36A3197FDEE433FB5547EE83DE99E4B -
isLiteAPI(required): boolean
Refresh contents of CEMS_EHR_CONNECTORS.Allowed Values:
[ true, false ]Example:false -
limit(required): integer(int32)
Minimum Value:
0Maximum Value:1000Maximum number of rows to return. Only non-negative integers are accepted.Example:50 -
mode(required): string(uuid)
Minimum Length:
4Maximum Length:8Study mode. Allowed values: active (live study operations), test (testing data), training (training or sandbox data).Allowed Values:[ null, null, null ]Example:test -
occConnectorId(required): string(uuid)
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$occConnectorIdExample:C36A3197FDEE433FB5547EE83DE99E4B -
offset(required): integer(int32)
Minimum Value:
0Zero-based row index to start pagination. Only non-negative integers are accepted.Example:0 -
order(required): string
Optional query parameter. Sort direction for returned rows. Allowed values: asc, desc, ASC, DESC.Allowed Values:
[ "ASC", "DESC", "asc", "desc" ]Example:DESC -
studyId(required): string(uuid)
Minimum Length:
32Maximum Length:32Pattern:^[A-F0-9]{32}$Study identifier as a 32-character uppercase hexadecimal UUID string.Example:C36A3197FDEE433FB5547EE83DE99E4B
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples
400 Response
Returned when one or more path parameters, query parameters, or request-body values fail endpoint validation.
Root Schema : SDFResponse
Type:
objectTitle:
SDFResponseWrapper for service responses containing result or error data.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
The result object for successful requests. Type depends on the API operation.
-
status: string
Status of the response, either 'success' or an error indication.Example:
success
Nested Schema : result
Type:
objectThe result object for successful requests. Type depends on the API operation.
Example:
{
"hasMore":"true",
"totalResults":5,
"count":5,
"data":[
]
}Nested Schema : details
Type:
objectExamples